<?xml version="1.0" encoding="utf-8" standalone="no"?><manifest xmlns:android="http://schemas.android.com/apk/res/android" android:compileSdkVersion="28" android:compileSdkVersionCodename="9" package="com.moji.hmct" platformBuildVersionCode="7043390" platformBuildVersionName="7.0433.90">
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
    <uses-permission android:name="android.permission.READ_PHONE_STATE"/>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
    <uses-permission android:name="android.permission.GET_TASKS"/>
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.INTERNET"/>
    <permission android:description="@string/weather_provider_write_permission_desc" android:label="@string/weather_provider_write_permission_desc" android:name="com.moji.mjweather.provider.WRITE_WEATHER_DATA" android:protectionLevel="signature"/>
    <uses-permission android:name="com.moji.mjweather.provider.WRITE_WEATHER_DATA"/>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE"/>
    <uses-permission android:name="android.permission.WAKE_LOCK"/>
    <uses-permission android:name="android.permission.VIBRATE"/>
    <uses-permission android:name="getui.permission.GetuiService.com.moji.hmct"/>
    <permission android:name="getui.permission.GetuiService.com.moji.hmct" android:protectionLevel="normal"/>
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_ADDED"/>
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_CHANGED"/>
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_INSTALL"/>
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_REPLACED"/>
    <uses-permission android:name="android.permission.RESTART_PACKAGES"/>
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE"/>
    <uses-permission android:name="com.moji.hmct.permission.MIPUSH_RECEIVE"/>
    <permission android:name="com.moji.hmct.permission.MIPUSH_RECEIVE" android:protectionLevel="signatureOrSystem"/>
    <uses-permission android:name="com.moji.hmct.push.permission.MESSAGE"/>
    <uses-permission android:name="com.moji.hmct.permission.C2D_MESSAGE"/>
    <permission android:name="com.moji.hmct.push.permission.MESSAGE" android:protectionLevel="signature"/>
    <permission android:name="com.moji.hmct.permission.C2D_MESSAGE" android:protectionLevel="signature"/>
    <uses-permission android:name="android.permission.READ_SYNC_STATS"/>
    <uses-permission android:name="android.permission.WRITE_SYNC_SETTINGS"/>
    <uses-permission android:name="android.permission.AUTHENTICATE_ACCOUNTS"/>
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.CAMERA"/>
    <uses-permission android:name="com.xiaomi.permission.AUTH_SERVICE"/>
    <uses-permission android:maxSdkVersion="22" android:name="android.permission.GET_ACCOUNTS"/>
    <uses-permission android:name="com.android.alarm.permission.SET_ALARM"/>
    <uses-permission android:name="android.permission.WRITE_SETTINGS"/>
    <uses-permission android:name="android.permission.DISABLE_KEYGUARD"/>
    <uses-permission android:name="android.permission.BLUETOOTH"/>
    <uses-permission android:name="com.sec.android.provider.badge.permission.READ"/>
    <uses-permission android:name="com.sec.android.provider.badge.permission.WRITE"/>
    <uses-permission android:name="com.htc.launcher.permission.READ_SETTINGS"/>
    <uses-permission android:name="com.htc.launcher.permission.UPDATE_SHORTCUT"/>
    <uses-permission android:name="com.sonyericsson.home.permission.BROADCAST_BADGE"/>
    <uses-permission android:name="com.sonymobile.home.permission.PROVIDER_INSERT_BADGE"/>
    <uses-permission android:name="com.anddoes.launcher.permission.UPDATE_COUNT"/>
    <uses-permission android:name="com.majeur.launcher.permission.UPDATE_BADGE"/>
    <uses-permission android:name="com.huawei.android.launcher.permission.CHANGE_BADGE"/>
    <uses-permission android:name="com.huawei.android.launcher.permission.READ_SETTINGS"/>
    <uses-permission android:name="com.huawei.android.launcher.permission.WRITE_SETTINGS"/>
    <uses-permission android:name="android.permission.READ_APP_BADGE"/>
    <uses-permission android:name="com.oppo.launcher.permission.READ_SETTINGS"/>
    <uses-permission android:name="com.oppo.launcher.permission.WRITE_SETTINGS"/>
    <uses-permission android:name="me.everything.badger.permission.BADGE_COUNT_READ"/>
    <uses-permission android:name="me.everything.badger.permission.BADGE_COUNT_WRITE"/>
    <uses-permission android:name="android.permission.READ_SETTINGS"/>
    <uses-permission android:name="android.permission.CHANGE_CONFIGURATION"/>
    <application android:allowBackup="false" android:icon="@mipmap/icon" android:label="@string/app_name" android:largeHeap="true" android:name="com.moji.mjweather.MJApplication" android:resizeableActivity="false" android:screenOrientation="portrait" android:supportsRtl="true" android:theme="@style/MJTheme" android:usesCleartextTraffic="true">
        <activity android:configChanges="keyboardHidden|orientation" android:exported="true" android:launchMode="singleTask" android:name="com.moji.mjweather.MainActivity" android:screenOrientation="portrait" android:theme="@style/MJSplashTheme" android:windowSoftInputMode="adjustResize|stateHidden">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <action android:name="android.intent.action.VIEW"/>
                <category android:name="android.intent.category.BROWSABLE"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <data android:host="moji.com.mainactivity" android:scheme="mojiweather"/>
            </intent-filter>
        </activity>
        <activity android:configChanges="keyboardHidden|orientation" android:launchMode="singleTask" android:name="com.moji.mjweather.TableScreenActivity" android:screenOrientation="portrait" android:theme="@style/MJTransprantTheme"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.LauncherActivity" android:screenOrientation="portrait" android:theme="@style/MJSplashTheme_full">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.setting.activity.SettingActivity" android:screenOrientation="portrait" android:theme="@style/PrefsTheme"/>
        <activity android:configChanges="keyboardHidden|orientation" android:label="AQI 界面" android:launchMode="singleTop" android:name="com.moji.mjweather.aqi.AQIActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.aqi.AqiCameraActivity" android:screenOrientation="portrait" android:theme="@style/SharePlatformWindow"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.dailydetail.DailyDetailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.dailydetail.TideDetailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:exported="true" android:name="com.moji.mjweather.alert.WeatherAlertActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.setting.activity.FeedBackActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.setting.activity.InputCityActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.setting.activity.SettingAboutMojiActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.LoginBySnsCodeActivity" android:screenOrientation="portrait" android:theme="@style/MJBottomInTheme"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.ResetPassActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.InputSnsCodeActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.LoginByUsernameActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.FindPassUsePhoneActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.FindPassUseEmailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.ModifyPassActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.UpdatePassActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:launchMode="singleTask" android:name="com.moji.mjweather.me.activity.BindMobileActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.BindEmailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.UpdateEmailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.ActivityCenterActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.AccountResetPassResultActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.ModifySingleInfoActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.BigFaceActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.ResultForBindPhoneActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.BindMobileDetailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.MyCollectActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.weathercorrect.ui.WeatherCorrectActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.weathercorrect.ui.WeatherContributionActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.weathercorrect.ui.WeatherContributionHelpActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:launchMode="singleTop" android:name="com.moji.mjweather.shorttimedetail.ShortTimeCastActivity" android:screenOrientation="portrait"/>
        <meta-data android:name="com.amap.api.v2.apikey" android:value="d94678b374fde57bcc19d1ea3256818b"/>
        <meta-data android:name="MOJI_VERSION_CODE" android:value="1007040490"/>
        <service android:name="com.moji.mjad.service.MJAdService"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.assshop.activity.AssistShopActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.assshop.activity.AvatarDialogActivity" android:screenOrientation="portrait" android:theme="@style/WidgetTheme.Dialog"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.assshop.weather.AvatarChangeActivity" android:screenOrientation="portrait" android:theme="@style/AvatarChangeDialog"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.assshop.voice.AssistShopSettingSubActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.aqi.AqiRankActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.setting.activity.SettingVoiceAlarmActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboard|keyboardHidden|navigation|orientation" android:excludeFromRecents="true" android:exported="true" android:launchMode="singleTask" android:name="com.moji.mjweather.voice.AlarmAlertActivity" android:screenOrientation="portrait" android:theme="@style/Theme.alarm_alert">
            <intent-filter>
                <action android:name="com.moji.mjweather.alarmalert"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <activity android:configChanges="keyboard|keyboardHidden|navigation|orientation" android:excludeFromRecents="true" android:exported="true" android:launchMode="singleTask" android:name="com.moji.mjweather.voice.AlarmAlertFullScreenActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Wallpaper.NoTitleBar">
            <intent-filter>
                <action android:name="com.moji.mjweather.alarmalertfullscreen"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.comment.CommentActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.comment.ShopCommentPhotoActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.MojiAboutActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.setting.fragment.SettingCommonLanguageActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.setting.fragment.SettingCommonUnitsActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.setting.activity.ChangeVoiceLanguageActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.aqi.AqiMapActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.LoginDialogActivity" android:screenOrientation="portrait" android:theme="@style/MJNoTitleTranslucent"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.setting.activity.EveryDayDialogActivity" android:screenOrientation="portrait" android:theme="@style/WidgetTheme.Dialog"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.me.activity.MojiTeamIntroduceActivity" android:screenOrientation="portrait"/>
        <service android:icon="@drawable/moji_icon_transparent" android:label="@string/tile_title" android:name="com.moji.mjweather.quicksetting.MJQSWeatherTileService" android:permission="android.permission.BIND_QUICK_SETTINGS_TILE">
            <intent-filter>
                <action android:name="android.service.quicksettings.action.QS_TILE"/>
            </intent-filter>
        </service>
        <receiver android:name="com.moji.mjweather.receiver.MojiReceiver">
            <intent-filter android:priority="2147483647">
                <category android:name="android.intent.category.DEFAULT"/>
                <action android:name="android.intent.action.TIME_SET"/>
                <action android:name="android.intent.action.DATE_CHANGED"/>
                <action android:name="android.intent.action.TIMEZONE_CHANGED"/>
                <action android:name="com.moji.widget.voice.play"/>
                <action android:name="com.moji.widget.change.city"/>
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE"/>
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
                <action android:name="android.intent.action.LOCALE_CHANGED"/>
            </intent-filter>
        </receiver>
        <meta-data android:name="android.max_aspect" android:value="2.3"/>
        <meta-data android:name="android.vendor.full_screen" android:value="true"/>
        <meta-data android:name="android.notch_support" android:value="true"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.aqi.AqiCameraShareActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.mjweather.aqi.FloatLayoutActivity"/>
        <activity android:name="com.moji.mjweather.weathercorrect.ui.detail.WeatherCorrectDetailActivity"/>
        <activity android:name="com.moji.mjweather.weathercorrect.ui.CorrectCameActivity"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.thunderstorm.ThunderStormActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.thunderstorm.ThunderStormTakePhotoActivity" android:screenOrientation="portrait" android:theme="@style/MJTransprantTheme"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.scenestore.list.SceneShopActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.scenestore.SceneDetailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.scenestore.SceneEditActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.aqi.AqiWarnActivity" android:screenOrientation="portrait"/>
        <activity android:launchMode="singleTop" android:name="com.moji.mjweather.share.CaptureActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.weathercorrect.ui.AbNormalExplainActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.user.frienddynamic.FriendDynamicActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.user.frienddynamic.SearchFriendActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.user.message.MsgCenterActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.user.message.MsgDetailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.user.message.CommentInputActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar" android:windowSoftInputMode="adjustResize"/>
        <activity android:name="com.moji.user.homepage.UserCenterActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.user.homepage.MyFriendActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.user.homepage.MyHonorActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.user.homepage.CurrentMorePictureActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.user.homepage.ChoiceCertificateActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.user.homepage.CertificateInstructionActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.user.homepage.ApplyCertificateActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.user.homepage.CertificateSubmitActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.user.homepage.CertificateResultActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.user.homepage.CollectionActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.index.IndexActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.index.ArticlesActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.index.LargeImageActivity" android:theme="@style/LargeImagePage"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.feed.ZakerRootActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.feed.ZakerDetailsActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.NoTitleBar"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.feed.VideoDetailsActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.NoTitleBar"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.feed.FeedDetailsActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.NoTitleBar"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.feed.details.ArticleDetailsActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.NoTitleBar"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.feed.ChannelManageActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.feed.FeedSubjectDetailActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.NoTitleBar"/>
        <meta-data android:name="DIDI_APPID" android:value="didi6553586262336B7631326971"/>
        <meta-data android:name="DIDI_SECRET" android:value="1d782f67ec98db5d4b23a7aa9cc2f1cf"/>
        <activity android:configChanges="orientation|screenSize" android:launchMode="singleTask" android:name="com.moji.postcard.ui.PostCardIndexActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:launchMode="singleTask" android:name="com.moji.postcard.ui.DownloadPictureActitivy" android:screenOrientation="portrait" android:theme="@style/PhotoActivityDialogTheme"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.postcard.ui.PostCardCropActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.postcard.ui.EditLocationActivity" android:screenOrientation="portrait" android:windowSoftInputMode="stateAlwaysHidden|adjustResize"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.postcard.ui.EditBackgroundActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.postcard.ui.OrderConfirmActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.postcard.ui.PostCardSuccessActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.postcard.ui.OrderListActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.postcard.ui.AddressManagerActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.postcard.ui.AddAddressActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.rank.ui.RankActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.category.CityWaterFallActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.category.CategoryWaterFallActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.newliveview.detail.PictureDetailActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.newliveview.camera.activity.EditLableActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:name="com.moji.newliveview.camera.activity.InputLableTextActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar.Fullscreen"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.newliveview.camera.activity.UploadPhotoActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.newliveview.camera.activity.SelectLocationActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.newliveview.camera.activity.SearchLocationActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.newliveview.dynamic.DynamicHomeActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.newliveview.dynamic.DynamicCommentActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.dynamic.PreViewImageActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar.Fullscreen"/>
        <activity android:name="com.moji.newliveview.category.NearLiveActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.subject.ui.SubjectActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.subject.ui.SubjectListActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.subject.ui.SubjectPraiseListActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.promotion.ui.PromotionActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.detail.PicturePraiseListActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.promotion.ui.PromotionWinListActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.category.HotRecommendActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.promotion.ui.PromotionListActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.newliveview.search.ui.SearchActivity" android:screenOrientation="portrait" android:windowSoftInputMode="adjustPan|stateVisible"/>
        <activity android:name="com.moji.newliveview.category.WordMomentActivity" android:screenOrientation="portrait"/>
        <activity android:name="com.moji.newliveview.channel.ChannelPopActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar.Fullscreen"/>
        <activity android:name="com.moji.newliveview.channel.ChannelMangerActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.ForumMainActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:name="com.moji.forum.ui.TopicActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:name="com.moji.forum.ui.TopicSquareActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.TopicListActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.CelebrityActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.SquareTopicMemberActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.SquareTopicEssenceOrHotActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.TopicDetailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.ReportOrGagActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.NewTopicSelectCoterieActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:label="发布话题" android:name="com.moji.forum.ui.NewTopicActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.ChoicePhotosActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.MyFriendActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.DelPictureActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.MyTopicListActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.SingleTagTopicListActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.ForumPictureActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.CityTopicActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.forum.ui.TopicLocationSelectActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.redleaves.RedLeavesActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.redleaves.RedLeavesSceneSearchActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.redleaves.RedLeavesDetailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.redleaves.RedLeavesSubscribeGuideActivity" android:screenOrientation="portrait"/>
        <provider android:authorities="com.moji.hisense.provider.area" android:exported="true" android:name="com.moji.external.provider.ExternalAreaProvider" android:writePermission="com.moji.mjweather.provider.WRITE_WEATHER_DATA"/>
        <provider android:authorities="com.moji.hisense.provider.weather" android:exported="true" android:name="com.moji.external.provider.ExternalWeatherProvider" android:writePermission="com.moji.mjweather.provider.WRITE_WEATHER_DATA"/>
        <provider android:authorities="com.moji.hisense.provider.alert" android:exported="true" android:name="com.moji.external.provider.AlertProvider" android:writePermission="com.moji.mjweather.provider.WRITE_WEATHER_DATA"/>
        <service android:name="com.moji.external.service.ExternalWeatherUpdateService"/>
        <receiver android:name="com.moji.external.receiver.ExternalReceiver">
            <intent-filter>
                <action android:name="com.hf.custom.UPDATE_FROM_WIDGET"/>
            </intent-filter>
        </receiver>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.mojiweather.area.AddAreaActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.mojiweather.area.AddAreaFirstRunActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.mojiweather.area.AreaManageActivity" android:screenOrientation="portrait"/>
        <provider android:authorities="com.moji.hmct.fileprovider" android:exported="false" android:grantUriPermissions="true" android:name="com.moji.mjad.GDTFileProvider">
            <meta-data android:name="android.support.FILE_PROVIDER_PATHS" android:resource="@xml/gdt_file_path"/>
        </provider>
        <service android:exported="false" android:name="com.qq.e.comm.DownloadService"/>
        <activity android:configChanges="keyboard|keyboardHidden|orientation|screenSize" android:name="com.qq.e.ads.ADActivity"/>
        <meta-data android:name="BaiduMobAd_APP_ID" android:value="e4b68bcc"/>
        <activity android:configChanges="keyboard|keyboardHidden|orientation" android:name="com.baidu.mobads.AppActivity" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity android:configChanges="keyboard|keyboardHidden|orientation" android:name="com.baidu.mobad.feeds.BaiduActivity"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.intowow.sdk.WebViewActivity" android:theme="@android:style/Theme.NoTitleBar.Fullscreen"/>
        <receiver android:exported="false" android:name="com.moji.mjad.common.receiver.NetChangeReceiver">
            <intent-filter>
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE"/>
                <action android:name="android.net.wifi.WIFI_STATE_CHANGED"/>
            </intent-filter>
        </receiver>
        <receiver android:exported="false" android:name="com.moji.mjad.avatar.receiver.AvatarStarResourceReceiver">
            <intent-filter>
                <action android:name="com.moji.mjad.AvatarStarResource"/>
            </intent-filter>
        </receiver>
        <meta-data android:name="CRYSTAL_ID" android:value="1ff1a6d6a1874050bf8c10aaa4ae890b"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjad.base.AdDialogActivity" android:screenOrientation="portrait" android:theme="@style/AdTheme.Dialog"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjad.splash.activity.SplashVideoActivity" android:screenOrientation="portrait" android:theme="@style/MJAdSplashTheme"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjad.splash.activity.SplashVideoTransActivity" android:screenOrientation="portrait" android:theme="@style/MJAdTransparentTheme"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjad.nativepage.AdNativeActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjad.nativepage.VideoNativeActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <meta-data android:name="PUSH_APPID" android:value="LTWPJ7jnRr77qEcPS4weu6"/>
        <meta-data android:name="PUSH_APPKEY" android:value="U9z9OgyH6s5qsuFsv5HXf7"/>
        <meta-data android:name="PUSH_APPSECRET" android:value="TJNjneQ6bU9tmb4vrtyZ47"/>
        <meta-data android:name="MIPUSH_APPID" android:value="XM_2882303761517129398"/>
        <meta-data android:name="MIPUSH_APPKEY" android:value="XM_5531712981398"/>
        <meta-data android:name="MEIZUPUSH_APPID" android:value="MZ_110248"/>
        <meta-data android:name="MEIZUPUSH_APPKEY" android:value="MZ_cf3f6074fa3743fd900bcafab9f69aa7"/>
        <meta-data android:name="com.huawei.hms.client.appid" android:value="1031975"/>
        <service android:exported="true" android:label="NotificationCenter" android:name="com.igexin.sdk.PushService" android:process=":pushservice">
            <intent-filter>
                <action android:name="com.igexin.sdk.action.service.message"/>
            </intent-filter>
        </service>
        <receiver android:enabled="false" android:name="com.igexin.sdk.PushReceiver">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE"/>
                <action android:name="android.intent.action.USER_PRESENT"/>
                <action android:name="com.igexin.sdk.action.refreshls"/>
                <action android:name="android.intent.action.MEDIA_MOUNTED"/>
                <action android:name="android.intent.action.ACTION_POWER_CONNECTED"/>
                <action android:name="android.intent.action.ACTION_POWER_DISCONNECTED"/>
            </intent-filter>
        </receiver>
        <activity android:excludeFromRecents="true" android:exported="false" android:name="com.igexin.sdk.PushActivity" android:process=":pushservice" android:taskAffinity="com.igexin.sdk.PushActivityTask" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <service android:name="com.igexin.download.DownloadService" android:process=":pushservice"/>
        <receiver android:enabled="false" android:name="com.igexin.download.DownloadReceiver">
            <intent-filter>
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE"/>
            </intent-filter>
        </receiver>
        <provider android:authorities="downloads.com.moji.hmct" android:enabled="false" android:exported="true" android:name="com.igexin.download.DownloadProvider" android:process=":pushservice"/>
        <activity android:excludeFromRecents="true" android:exported="true" android:name="com.igexin.sdk.GActivity" android:process=":pushservice" android:taskAffinity="com.igexin.sdk.PushActivityTask" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <service android:exported="true" android:label="PushService" android:name="com.moji.push.MJPushService" android:process=":pushservice">
            <intent-filter>
                <action android:name="com.moji.mjweather.push.inbound"/>
            </intent-filter>
        </service>
        <service android:name="com.moji.push.MJPushIntentService" android:process=":pushservice"/>
        <activity android:name="com.moji.weathersence.activity.ScenePreviewActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinSelectorActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:launchMode="singleInstance" android:name="com.moji.skinshop.WidgetAlertActivity" android:process=":mjskin" android:screenOrientation="portrait" android:theme="@style/WidgetTheme.Dialog"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinDownloadDetailActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinDetailBaseActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinDetailActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinSearchActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinSettingActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinHottestActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinHotRankActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinTopRecommendActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinCategoryActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinImageShowActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.AuthorListActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinYetBuyActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinOrderBuyDialog" android:screenOrientation="portrait" android:theme="@style/myDialogTheme"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.WidgetHotAreaSettingActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.skinshop.SkinInstallerActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation|screenLayout|screenSize|smallestScreenSize" android:name="com.moji.skinshop.SkinNoticeActivity" android:process=":mjskin" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjappstore.activity.AppStoreClassifyActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjappstore.activity.AppStoreDetailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjappstore.activity.AppStorePictureAdActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:label="@string/appstore_selector_title" android:name="com.moji.mjappstore.activity.AppStoreSelectorActivity" android:screenOrientation="portrait"/>
        <receiver android:name="com.moji.mjappstore.receiver.AppStoreStaticPachageReciever">
            <intent-filter>
                <action android:name="android.intent.action.PACKAGE_CHANGED"/>
                <action android:name="android.intent.action.PACKAGE_REMOVED"/>
                <action android:name="android.intent.action.PACKAGE_ADDED"/>
                <action android:name="android.intent.action.PACKAGE_REPLACED"/>
                <data android:scheme="package"/>
            </intent-filter>
        </receiver>
        <activity android:name="com.moji.credit.EarnCreditActivity" android:screenOrientation="portrait" android:theme="@style/MojiAppThemeTransparent"/>
        <activity android:name="com.moji.credit.MyCreditActivity" android:screenOrientation="portrait" android:theme="@style/MojiAppThemeTransparent"/>
        <activity android:name="com.moji.credit.CreditWebActivity" android:screenOrientation="portrait" android:theme="@style/MojiAppThemeTransparent"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.novice.tutorial.TutorialActivity" android:screenOrientation="portrait"/>
        <receiver android:name="com.moji.mjweather.receiver.PackageReceiver">
            <intent-filter>
                <action android:name="android.intent.action.PACKAGE_CHANGED"/>
                <action android:name="android.intent.action.PACKAGE_REMOVED"/>
                <action android:name="android.intent.action.PACKAGE_ADDED"/>
                <action android:name="android.intent.action.PACKAGE_REPLACED"/>
                <data android:scheme="package"/>
            </intent-filter>
        </receiver>
        <receiver android:exported="false" android:name="com.moji.novice.tutorial.receiver.TutorialNotificationReceiver">
            <intent-filter>
                <action android:name="notification_action_name"/>
                <data android:scheme="package"/>
            </intent-filter>
        </receiver>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.typhoon.TyphoonDetailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjweather.typhoon.TyphoonMapDetailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjsnowmodule.SnowEntryActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjsnowmodule.SnowPoiKeywordSearchActivity" android:screenOrientation="portrait" android:windowSoftInputMode="stateAlwaysHidden"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjsnowmodule.SnowCreateSubscribeActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:launchMode="singleTask" android:name="com.moji.mjsnowmodule.SnowEditSubscribeActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.sakura.main.SakuraMainActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.sakura.SakuraListActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.sakura.SakuraSubscribeActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.sakura.detail.SakuraDetailActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.sakura.SakuraCountryActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.sakura.pickcity.SakuraPickActivity" android:screenOrientation="portrait" android:theme="@style/Sakura_Pick_Dialog"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.sakura.SakuraGuideActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.member.MemberOrderActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.member.MemberMainActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.member.MemberExCodeActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.member.MemberMyCodeActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjallergy.MJAllergyMainActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.mjallergy.AllergyFeedbackActivity" android:screenOrientation="portrait"/>
        <meta-data android:name="QBSDKAppKey" android:value="d+8fkBMBqi4RpeDgUEX1hn39"/>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:launchMode="singleTask" android:name="com.moji.webview.BrowserActivity">
            <intent-filter>
                <action android:name="android.intent.action.VIEW"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <category android:name="android.intent.category.BROWSABLE"/>
                <data android:host="moji.com.browseractivity" android:scheme="mojiweather"/>
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <data android:scheme="tbopen23076470"/>
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW"/>
                <category android:name="android.intent.category.BROWSABLE"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <data android:host="push_inbound" android:scheme="mojiweatherpush"/>
            </intent-filter>
        </activity>
        <activity android:alwaysRetainTaskState="true" android:configChanges="keyboardHidden|orientation|screenSize" android:exported="false" android:hardwareAccelerated="true" android:launchMode="singleTask" android:name="com.tencent.smtt.sdk.VideoActivity">
            <intent-filter>
                <action android:name="com.tencent.smtt.tbs.video.PLAY"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.webview.test.WebTestActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.webview.pickcity.PickCityActivity" android:screenOrientation="portrait" android:theme="@style/Bottom_Dialog">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.camera.GalleryOpActivity" android:screenOrientation="portrait"/>
        <receiver android:exported="true" android:label="@string/widget_title_4x1" android:name="com.moji.mjweather.CMojiWidget4x1" android:process=":mjskin">
            <intent-filter>
                <action android:name="android.appwidget.action.APPWIDGET_UPDATE"/>
                <action android:name="android.intent.action.TIME_SET"/>
                <action android:name="android.intent.action.DATE_CHANGED"/>
                <action android:name="android.intent.action.TIMEZONE_CHANGED"/>
                <action android:name="android.intent.action.USER_PRESENT"/>
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
            </intent-filter>
            <meta-data android:name="android.appwidget.provider" android:resource="@xml/appwidget_4x1"/>
        </receiver>
        <receiver android:exported="true" android:label="@string/widget_title_4x2" android:name="com.moji.mjweather.CMojiWidget4x2" android:process=":mjskin">
            <intent-filter>
                <action android:name="android.appwidget.action.APPWIDGET_UPDATE"/>
                <action android:name="android.intent.action.TIME_SET"/>
                <action android:name="android.intent.action.DATE_CHANGED"/>
                <action android:name="android.intent.action.TIMEZONE_CHANGED"/>
                <action android:name="android.intent.action.USER_PRESENT"/>
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
            </intent-filter>
            <meta-data android:name="android.appwidget.provider" android:resource="@xml/appwidget_4x2"/>
        </receiver>
        <receiver android:exported="true" android:label="@string/widget_title_5x1" android:name="com.moji.mjweather.CMojiWidget5x1" android:process=":mjskin">
            <intent-filter>
                <action android:name="android.appwidget.action.APPWIDGET_UPDATE"/>
                <action android:name="android.intent.action.TIME_SET"/>
                <action android:name="android.intent.action.DATE_CHANGED"/>
                <action android:name="android.intent.action.TIMEZONE_CHANGED"/>
                <action android:name="android.intent.action.USER_PRESENT"/>
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
            </intent-filter>
            <meta-data android:name="android.appwidget.provider" android:resource="@xml/appwidget_5x1"/>
        </receiver>
        <receiver android:exported="true" android:label="@string/widget_title_5x2" android:name="com.moji.mjweather.CMojiWidget5x2" android:process=":mjskin">
            <intent-filter>
                <action android:name="android.appwidget.action.APPWIDGET_UPDATE"/>
                <action android:name="android.intent.action.TIME_SET"/>
                <action android:name="android.intent.action.DATE_CHANGED"/>
                <action android:name="android.intent.action.TIMEZONE_CHANGED"/>
                <action android:name="android.intent.action.USER_PRESENT"/>
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
            </intent-filter>
            <meta-data android:name="android.appwidget.provider" android:resource="@xml/appwidget_5x2"/>
        </receiver>
        <service android:exported="true" android:name="com.moji.appwidget.service.HotSpotService" android:process=":mjskin"/>
        <service android:exported="true" android:name="com.moji.mjweather.DaemonService" android:process=":mjskin"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.appwidget.activity.WidgetConfigureActivity" android:process=":mjskin" android:screenOrientation="portrait" android:theme="@android:style/Theme.Wallpaper.NoTitleBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
            </intent-filter>
        </activity>
        <service android:enabled="true" android:exported="false" android:name="com.moji.appwidget.daemon.bind.CancelNotificationService"/>
        <service android:name="com.moji.mjweather.JobSchedulerService" android:permission="android.permission.BIND_JOB_SERVICE"/>
        <service android:name="com.moji.notify.NotifyService"/>
        <service android:name="com.moji.weatherprovider.Service.WeatherUpdateService"/>
        <provider android:authorities="com.moji.hmct.weatherdata.provider" android:exported="true" android:name="com.moji.weatherprovider.provider.WeatherDataProvider" android:writePermission="com.moji.mjweather.provider.WRITE_WEATHER_DATA"/>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:name="com.moji.camera.PhotoActivity" android:screenOrientation="portrait" android:theme="@style/PhotoActivityDialogTheme"/>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:name="com.moji.camera.CameraActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:name="com.moji.camera.CameraResultActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:name="com.moji.camera.PhotoFragmentActivity" android:screenOrientation="portrait" android:theme="@style/PhotoActivityDialogTheme"/>
        <activity android:name="com.moji.crop.CropImageActivity" android:screenOrientation="portrait" android:theme="@style/CropImageActivityStyle"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.multiselector.activity.ImageGridActivity" android:screenOrientation="portrait"/>
        <activity android:configChanges="orientation|screenSize" android:name="com.moji.multiselector.activity.ImagePreviewActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <service android:name="com.amap.api.location.APSService"/>
        <provider android:authorities="com.moji.hmct.location.history" android:exported="false" android:name="com.moji.location.provider.HistoryLocationProvider"/>
        <provider android:authorities="com.moji.hmct.areamanagement.provider" android:exported="true" android:name="com.moji.areamanagement.provider.AreaProvider"/>
        <activity android:configChanges="keyboardHidden|navigation|orientation" android:exported="false" android:name="com.alipay.sdk.app.H5PayActivity" android:screenOrientation="behind"/>
        <activity android:configChanges="keyboardHidden|navigation|orientation" android:exported="false" android:name="com.alipay.sdk.app.H5AuthActivity" android:screenOrientation="behind"/>
        <activity android:exported="true" android:launchMode="singleTop" android:name="com.moji.mjweather.wxapi.WXPayEntryActivity"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.share.activity.QQLoginActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.share.activity.QQShareActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity android:launchMode="singleTask" android:name="com.tencent.tauth.AuthActivity" android:noHistory="true">
            <intent-filter>
                <action android:name="android.intent.action.VIEW"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <category android:name="android.intent.category.BROWSABLE"/>
                <data android:scheme="tencent100255986"/>
            </intent-filter>
        </activity>
        <activity android:configChanges="keyboardHidden|orientation|screenSize" android:name="com.tencent.connect.common.AssistActivity" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.share.activity.WBLoginActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.share.activity.WBShareActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity android:name="com.xiaomi.account.openauth.AuthorizeActivity"/>
        <activity android:exported="true" android:name="com.moji.share.activity.WXLoginAndShareActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity-alias android:exported="true" android:name="com.moji.hmct.wxapi.WXEntryActivity" android:screenOrientation="portrait" android:targetActivity="com.moji.share.activity.WXLoginAndShareActivity" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity android:excludeFromRecents="true" android:exported="true" android:hardwareAccelerated="false" android:launchMode="singleTask" android:name="com.moji.callup.activity.QuickLoadActivity" android:taskAffinity="com.moji.mjweather.quick" android:theme="@android:style/Theme.Translucent.NoTitleBar">
            <intent-filter>
                <action android:name="android.intent.action.VIEW"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <provider android:authorities="com.moji.hmct.mjlog.filter" android:enabled="true" android:exported="false" android:name="com.moji.statistics.fliter.LogFilterProvider"/>
        <provider android:authorities="com.moji.hmct.statistics.datause" android:enabled="true" android:exported="false" android:name="com.moji.statistics.datause.DataUsageProvider"/>
        <meta-data android:name="HMT_APPKEY" android:value="UA-mj-260001"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="fm.jiecao.jcvideoplayer_lib.JCPlayDemoActivity" android:screenOrientation="portrait"/>
        <provider android:authorities="com.moji.hmct.authority.LifeCyclePrefer" android:enabled="true" android:exported="false" android:name="com.moji.preferences.ActivityLifePrefer$LifeCycleProvider"/>
        <activity android:configChanges="keyboardHidden|orientation" android:name="com.moji.notifydownloadmanager.DownloadManageActivity" android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="com.moji.notifydownloadmanager.DownloadManageActivity"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <provider android:authorities="com.moji.hmct.storage.fileprovider" android:exported="false" android:grantUriPermissions="true" android:name="android.support.v4.content.FileProvider">
            <meta-data android:name="android.support.FILE_PROVIDER_PATHS" android:resource="@xml/file_provider_file_paths"/>
        </provider>
        <provider android:authorities="com.moji.hmct.alarm.alarmclock" android:exported="false" android:name="com.moji.alarm.clock.AlarmClockProvider"/>
        <service android:exported="false" android:name="com.moji.alarm.clock.AlarmClockService">
            <intent-filter>
                <action android:name="com.moji.mjweather.ALARM_CLOCK_ALERT"/>
            </intent-filter>
        </service>
        <provider android:authorities="com.moji.hmct.lifecycle-trojan" android:exported="false" android:multiprocess="true" android:name="android.arch.lifecycle.ProcessLifecycleOwnerInitializer"/>
        <service android:name="com.moji.api.service.APIBGService"/>
        <service android:name="com.moji.api.service.MainProcessAPIService"/>
        <activity android:configChanges="keyboardHidden|orientation" android:exported="false" android:name="com.sina.weibo.sdk.web.WeiboSdkWebActivity" android:windowSoftInputMode="adjustResize"/>
        <activity android:configChanges="keyboardHidden|orientation" android:launchMode="singleTask" android:name="com.sina.weibo.sdk.share.WbShareTransActivity" android:theme="@android:style/Theme.Translucent.NoTitleBar">
            <intent-filter>
                <action android:name="com.sina.weibo.sdk.action.ACTION_SDK_REQ_ACTIVITY"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <activity android:configChanges="keyboardHidden|orientation" android:launchMode="singleTask" android:name="com.sina.weibo.sdk.share.WbShareToStoryActivity" android:theme="@android:style/Theme.Translucent.NoTitleBar">
            <intent-filter>
                <action android:name="com.sina.weibo.sdk.action.ACTION_SDK_REQ_STORY"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <activity android:name="com.ali.auth.third.ui.webview.BaseWebViewActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Black.NoTitleBar"/>
        <activity android:name="com.ali.auth.third.ui.LoginWebViewActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Black.NoTitleBar"/>
        <activity android:name="com.ali.auth.third.ui.LoginActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity android:name="com.ali.auth.third.accountlink.ui.BindResultActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Translucent.NoTitleBar"/>
        <activity android:name="com.ali.auth.third.accountlink.ui.UnbindWebViewActivity" android:screenOrientation="portrait" android:theme="@android:style/Theme.Black.NoTitleBar"/>
        <activity android:name="com.ali.auth.third.ui.QrLoginConfirmActivity"/>
        <activity android:name="com.ali.auth.third.ui.QrLoginActivity" android:theme="@style/ali_auth_qr_activity_style"/>
        <activity android:configChanges="keyboardHidden|navigation|orientation|screenSize" android:name="com.alibaba.alibclinkpartner.ui.ALPWebviewActivity"/>
        <activity android:configChanges="keyboardHidden|navigation|orientation|screenSize" android:name="com.alibaba.alibclinkpartner.ui.ALPCallbackActivity"/>
        <activity android:configChanges="keyboardHidden|navigation|orientation|screenSize" android:name="com.alibaba.alibclinkpartner.ui.ALPEntranceActivity">
            <intent-filter>
                <action android:name="com.alibaba.intent.action.GETWAY"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <data android:host="linkpartner" android:pathPrefix="/entrance" android:scheme="tbopen"/>
            </intent-filter>
        </activity>
        <service android:name="com.moji.api.service.ProcessmjskinAPIService" android:process=":mjskin"/>
        <service android:name="com.moji.api.service.ProcesspushserviceAPIService" android:process=":pushservice"/>
    </application>
</manifest>